Bug 1987344 - Links in help of the Edit Disk point to old documentation
Summary: Links in help of the Edit Disk point to old documentation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Yaacov Zamir
QA Contact: Leon Kladnitsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-29 14:21 UTC by Matthias Muench
Modified: 2021-10-18 17:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:43:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9889 0 None None None 2021-08-26 06:50:02 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:43:35 UTC

Description Matthias Muench 2021-07-29 14:21:32 UTC
Description of problem:
In the "Edit Disk", under "Enable preallocation", the link in "Refer to the Documentation …" points to older 4.7 documentation.

In the "Edit Disk", under "Access Mode", in the Warning, the link to "Learn more" link points to old 4.6 documentation.



Version-Release number of selected component (if applicable):
4.8.0


How reproducible:
always


Steps to Reproduce:
1. Virtualization=>Templates=> select a template 
2. go into details and select Disks tab
3. pick a disk template "${NAME}" and edit it and check the links

Actual results:
The links point to older versions of documentation.


Expected results:
All links point to recent (4.8) version of documentation.


Additional info:

Comment 1 Guohua Ouyang 2021-08-26 06:34:10 UTC
Could see more links are using old OCP version, as OCP 4.8 is released, all these links should point to 4.8, and I confirmed all below links are existing after change to 4.8.

$ cd console/frontend/packages/kubevirt-plugin/src
$ grep https://docs.openshift.com/ $(find . -type f) 
./components/cdi-upload-provider/consts.ts:  'https://docs.openshift.com/container-platform/4.5/virt/virtual_machines/importing_vms/virt-importing-virtual-machine-images-datavolumes.html#virt-cdi-supported-operations-matrix_virt-importing-virtual-machine-images-datavolumes';
./components/cdi-upload-provider/upload-pvc-form/upload-pvc-form.tsx:                    href="https://docs.openshift.com/container-platform/4.7/virt/virtual_machines/virtual_disks/virt-uploading-local-disk-images-block.html"
./utils/strings.ts:  'https://docs.openshift.com/container-platform/4.6/virt/virtual_machines/virtual_disks/virt-features-for-storage.html';
./utils/strings.ts:  'https://docs.openshift.com/container-platform/4.7/virt/virtual_machines/importing_vms/virt-importing-rhv-vm.html';
./utils/strings.ts:  'https://docs.openshift.com/container-platform/4.7/virt/virtual_machines/importing_vms/virt-importing-vmware-vm.html';
./utils/strings.ts:  'https://docs.openshift.com/container-platform/4.7/networking/configuring_ingress_cluster_traffic/configuring-ingress-cluster-traffic-nodeport.html#nw-using-nodeport_configuring-ingress-cluster-traffic-nodeport';
./utils/strings.ts:  'https://docs.openshift.com/container-platform/4.7/virt/virtual_machines/virtual_disks/virt-using-preallocation-for-datavolumes.html';
./constants/v2v.ts:  'https://docs.openshift.com/container-platform/latest/virt/virtual_machines/importing_vms/virt-importing-vmware-vm.html';
./constants/v2v.ts:  'https://docs.openshift.com/container-platform/latest/virt/virtual_machines/importing_vms/virt-importing-rhv-vm.html';
./constants/vm-templates/constants.ts:  'https://docs.openshift.com/container-platform/4.6/storage/container_storage_interface/persistent-storage-csi-snapshots.html';

Comment 2 Guohua Ouyang 2021-08-26 06:36:19 UTC
Plus, some of them are using `latest`, are we okay to use `latest` for all links?

Comment 5 Guohua Ouyang 2021-08-31 07:43:30 UTC
Verified on master

Comment 8 errata-xmlrpc 2021-10-18 17:43:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.